Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PATCH \ --url https://geniusforms.ai/api/v1/forms/{id}/fields/reorder \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "fieldIds": [ 3, 1, 2, 4 ] } '
import requests url = "https://geniusforms.ai/api/v1/forms/{id}/fields/reorder" payload = { "fieldIds": [3, 1, 2, 4] } headers = { "X-API-Key": "<api-key>", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.text)
const options = { method: 'PATCH', headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({fieldIds: [3, 1, 2, 4]}) }; fetch('https://geniusforms.ai/api/v1/forms/{id}/fields/reorder', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "fields": [ { "id": 123, "order": 123 } ] }
Reorder all questions in a form. Must include all question IDs.
API key obtained from your GeniusForms dashboard
All question IDs in the desired order
[3, 1, 2, 4]
Questions reordered
Show child attributes